Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Values\Content\ContentInfo Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Client\Values\Content\ContentInfo:

## Public Member Functions
| __construct (ContentTypeService $contentTypeService, array $data=array())
Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\ContentInfo
| isDraft ()
| isPublished ()
| isTrashed ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $contentTypeId
| $contentTypeService
Protected Attributes inherited from eZ\Publish\API\Repository\Values\Content\ContentInfo
| $id
| $contentTypeId
| $name
| $sectionId
| $currentVersionNo
| $published
| $ownerId
| $modificationDate
| $publishedDate
| $alwaysAvailable
| $remoteId
| $mainLanguageCode
| $mainLocationId
| $status
| $isHidden

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\ContentInfo
const | STATUS_DRAFT = 0
const | STATUS_PUBLISHED = 1
const | STATUS_TRASHED = 2
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 32 of file Core/REST/Client/Values/Content/ContentInfo.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Values\Content\ContentInfo::__construct | ( | ContentTypeService | $contentTypeService,
|  | array | $data = `array()`
| ) |  |

Definition at line 40 of file Core/REST/Client/Values/Content/ContentInfo.php.

References eZ\Publish\Core\REST\Client\Values\Content\ContentInfo\$contentTypeService.

## Member Data Documentation

## ◆ $contentTypeId

eZ\Publish\Core\REST\Client\Values\Content\ContentInfo::$contentTypeId
| protected

Definition at line 35 of file Core/REST/Client/Values/Content/ContentInfo.php.

## ◆ $contentTypeService

eZ\Publish\Core\REST\Client\Values\Content\ContentInfo::$contentTypeService
| protected

Definition at line 38 of file Core/REST/Client/Values/Content/ContentInfo.php.

Referenced by eZ\Publish\Core\REST\Client\Values\Content\ContentInfo\__construct().

The documentation for this class was generated from the following file:

- Core/REST/Client/Values/Content/ContentInfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.